## 配件组件使用说明

```
该组件用于仓库配件的选择与数量调整
```

## API

### Props

|   属性名    |  类型   | 默认值 |   可选值   |          说明           |
| :---------: | :-----: | :----: | :--------: | :---------------------: |
| showChecked | Boolean | false  | true/false |     是否需要复选框      |
|  showTitle  | Boolean | false  | true/false |      是否显示标题       |
| disabled | Boolean | true  | true/false |     是否禁用     |
|    lists    |  Array  |   []   |     -      | 列表数据 **格式见下文** |

### lists 格式

```json
[
  {
    name: '正泰漏保', // 配件名称
    num: 1, // 配件数量
    min: 1, // 数量最小值
    max: 100, // 数量最大值
    checked: false // 勾选状态，如果需要回显勾选状态需传
  }
]
```

### Events

| 事件称名 |                 说明                 |                         返回值                          |
| :------: | :----------------------------------: | :-----------------------------------------------------: |
| @change  | 数据发生改变时（勾选或改变数量）返回 | 改变后的数据(如有勾选，只返回勾选的数据) **格式见下文** |

### 返回数据格式

```json
[
  {
    name: '正泰漏保',
    num: 1,
    min: 1,
    max: 100,
    checked: true
  }
]
```

## 组件用法

### 基础用法

```html
<select-parts
  :lists="lists"
  :show-checked="true"
  :show-title="true"
  @change="partsChange"
></select-parts>
```

```js
import selectParts from "@/components/parts/index"
export default {
  components: {
    selectParts
  },
  data() {
    return {
      lists: [
        {
          id: 1,
          name: "正泰漏保",
          num: 1,
          min: 1,
          max: 100,
        },
        {
          id: 1,
          name: "挚达广汽充电桩",
          num: 3,
          min: 1,
          max: 5,
        },
      ]
    }
  },
  methods: {
    partsChange(val) {
      console.log("val", val)
    },
  },
};
```
